import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/features/MainScreens/Invest/presentation/pages/invest_video_section.dart';

import '../widgets/invest_detail_details_section.dart';
import '../widgets/invest_detail_image_carousel.dart';
import '../widgets/invest_included_documents_section.dart';
import '../widgets/key_investment_section.dart';

class InvestDetailsLayout extends StatelessWidget {
  final String type;
  const InvestDetailsLayout({super.key, required this.type});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      body: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
          child: Column(
            children: [
              Container(
                decoration: BoxDecoration(
                  color: AppColor.plainWhite,
                  borderRadius: const BorderRadius.all(Radius.circular(20.0)),
                  boxShadow: [
                    BoxShadow(
                      color: AppColor.plainBlack.withOpacity(0.15),
                      spreadRadius: 2,
                      blurRadius: 10,
                      offset: const Offset(0, 3),
                    ),
                  ],
                ),
                child: Column(
                  children: [
                    InvestDetailCarouselView(),
                    InvestDetailDetailsSection(
                      type: type,
                    ),
                  ],
                ),
              ),
              Gap(
                20.h,
              ),
              const KeyInvestmentSection(),
              Gap(
                20.h,
              ),
              const InvestIncludedDocumentsSection(),
              Gap(
                20.h,
              ),
              const InvestVideoSection(),
            ],
          ),
        ),
      ),
    );
  }
}
